features:
  primary:
    - name: "View pod logs from any environment"
      available_in: [ultimate] # required
      documentation_link: "https://docs.gitlab.com/ee/user/project/clusters/kubernetes_pod_logs.html#kubernetes-pod-logs-ultimate" # required
      image_url: "/images/unreleased/Showpodlogs.gif" # required
      reporter: dhershkovitch # required
      stage: monitor # required if the feature belongs to a DevOps stage.
      issue_url: "https://gitlab.com/gitlab-org/gitlab/issues/5769" # required
      description: | # View pod logs from any environment
        Previously, GitLab has supported viewing single pod logs for a single
        environment but didn't support viewing logs on multiple environments nor
        multiple pod instances. While this was acceptable for a testing
        environment, it did not scale in a production use case. If you had more
        than one Kubernetes cluster attached or a pod that scaled to multiple
        instances, you still had to leave GitLab and use on command-line tools
        to view your logs. 
        
        Now, with GitLab 12.4, we've enabled the ability to view any logs from
        any environment or pod. From the environments page, you'll see two
        button to view any pod logs from any Kubernetes cluster.
